.time-line {
    background-color: #fff !important;
    background: none !important;
    font-family: "Nunito Sans", serif;
    border: 5px solid var(--triton-black) !important;
}

.time-line::before {
    background: rgb(255 255 255) !important;
}

.time-line h1 {
    color: #000 !important;
    font-family: "Nunito Sans", serif;
    margin-top: -24px;
    margin-left: -17px;
}

.timeline-wrapper {
    display: flex;
    height: calc(100vh - 300px);
    margin-top: 80px;
}

.year-section {
    height: 100%;
    display: flex;
    justify-content: center;
    position: relative;
    left: -2%;
    z-index: 10;
}

.year-display {
    font-size: 9.5rem;
    font-weight: 400;
    color: #000;
    width: 125px;
    /* position: absolute; */
    left: 10%;
    line-height: .8;
    text-align: right;
    width: 118px;
}

/* .year-display::before {
    content: '';
    position: absolute;
    left: 50%;
    top: 10%;
    width: 5px;
    height: calc(100vh - 300px);
    background: #000;
} */

.content-section {
    flex: 1;
    height: calc(100vh - 250px);
    overflow-y: scroll;
    padding: 20px 150px;
    position: relative;
}

.content-section::-webkit-scrollbar {
    width: 0;
    background: transparent;
}

.timeline-item {
    margin-bottom: 50vh !important;
    opacity: 1;
    transform: translateX(50px);
    max-width: 780px;
}

.timeline-image {
    width: 100%;
    height: 300px;
    object-fit: cover;
    margin-bottom: 20px;
    border-radius: 4px;
}

.item-content {
    background-color: #fff;
    /* font-size: 1.1rem; */
    line-height: 1.6;
    padding: 10px;
    border-radius: 10px;
    max-width: 50%;
    min-height: 400px;
    margin: 0 auto;
}

.item-content img {
    width: 100%;
    /* height: 200px; */
}

.item-content ul{
    list-style: none;
    margin: 0;
    padding: 0;
}

.custom-scrollbar {
    position: absolute;
    right: 10%;
    top: 50%;
    transform: translateY(-50%);
    height: calc(100vh - 300px);
    width: 60px;
    z-index: 10;
}

.custom-scrollbar::before {
    content: "1994";
    color: #000;
    font-weight: bold;
    position: absolute;
    top: -30px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 24px;
}

.custom-scrollbar::after {
    content: "2025";
    color: #000;
    font-weight: bold;
    position: absolute;
    bottom: -30px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 24px;
}

.scroll-track {
    width: 2px;
    height: 100%;
    background: transparent;
    position: relative;
    margin: 0 auto;
}

.scroll-line {
    position: absolute;
    left: 50%;
    top: 0;
    bottom: 0;
    width: 2px;
    background: repeating-linear-gradient(to bottom, #000 0, #000 4px, transparent 4px, transparent 8px);
}

.timeline {
    margin: 0;
    padding: 0;
    overflow-y: hidden;
    height: 100vh;
}

.scroll-handle {
    position: absolute;
    width: 55px;
    height: 55px;
    background: var(--triton-base);
    border-radius: 50%;
    left: 50%;
    transform: translateX(-50%);
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    z-index: 2;
}

.scroll-arrows {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.arrow {
    font-size: 12px;
    color: white;
}

.item-content h2 {
    font-size: 9.5rem;
    font-weight: 400;
    color: #000;
    margin: 10px 0;
    position: absolute;
    left: -24%;
    top: 0;
    background: #fff !important;
    line-height: .8;
    padding: 13px;
    text-align: center;
    width: 224px;
    font-family: "Nunito Sans", serif;
}

.item-content h2::before {
    content: "";
    width: 5px;
    height: calc(100vh - -200px);
    background-color: #000;
    margin-right: 10px;
    vertical-align: middle;
    position: absolute;
    left: 110px;
    top: 145px;
}

.item-content ul li {
    font-size: 16px;
    line-height: 26px;
    padding: 15px 0 10px 0;
    font-family: "Poppins", serif;
}

h2 i {
    font-size: 26px;
    position: relative;
    top: -2px;
}

@media (max-width: 1199.98px) {
    .time-line {
        padding: 40px 0;
    }

    .time-line h1 {
        padding-left: 55px;
        font-size: 24px;
    }

    .item-content h2,
    .year-display {
        font-size: 6rem;
        text-align: left;
        width: auto;
    }

    .item-content h2 {
        left: -8%;
    }

    .item-content h2::before {
        left: 70px;
        top: 110px;
    }

    .item-content {
        max-width: 70%;
    }

    .item-content h2::before {
        height: calc(100vh - -20px);
    }

    .timeline-wrapper {
        padding: 20px
    }

    .year-line {
        top: 10%
    }

    .content-section {
        padding: 0
    }

    .timeline-item {
        width: 100%;
    }

    .custom-scrollbar {
        right: 5%
    }
}

@media (max-width: 991.98px) {
    .time-line {
        padding: 40px 0 !important;
    }

    .time-line h1 {
        padding-left: 55px;
        font-size: 24px;
    }

    .item-content h2,
    .year-display {
        font-size: 3rem;
        text-align: left;
        width: auto;
        left: -8%;
    }

    .item-content h2::before {
        left: 32px;
        top: 60px;
    }

    .item-content {
        max-width: 70%;
    }

    .item-content h2::before {
        height: calc(100vh - -80px);
    }

    .timeline-wrapper {
        padding: 20px
    }

    .year-line {
        top: 10%
    }

    .content-section {
        padding: 0;
        height: calc(100vh - 275px);
    }

    .timeline-item {
        width: 100%;
    }

    .custom-scrollbar {
        right: 5%
    }
}


@media (max-width: 767.98px) {
    .time-line {
        padding: 40px 0;
    }

    .time-line h1 {
        padding-left: 55px;
        font-size: 24px;
    }

    .item-content h2,
    .year-display {
        font-size: 2rem;
        text-align: left;
        width: auto;
        left: -14%;
    }

    .item-content h2::before {
        left: 32px;
        top: 50px;
    }

    .item-content {
        max-width: 100%;
    }

    .item-content h2::before {
        height: calc(100vh - -20px);
    }

    .timeline-wrapper {
        padding: 20px;
        height: calc(100vh - 250px);
    }

    .year-line {
        top: 10%
    }

    .content-section {
        padding: 0
    }

    .timeline-item {
        width: 70%;
    }

    .custom-scrollbar {
        right: 5%
    }
}

@media (max-width: 560.98px) {
    .time-line {
        padding: 40px 0 !important;
    }

    .time-line h1 {
        padding-left: 55px;
        font-size: 24px;
    }

    .item-content h2,
    .year-display {
        font-size: 2rem;
        text-align: left;
        width: auto;
    }

    .item-content h2 {
        left: -20% !important;
    }

    .item-content h2::before {
        left: 32px;
        top: 50px;
    }

    .item-content {
        max-width: 100%;
        height: auto;
    }

    .item-content h2::before {
        height: calc(100vh - -20px);
    }

    .timeline-wrapper {
        padding: 20px
    }

    .year-line {
        top: 10%
    }

    .content-section {
        padding: 0
    }

    .timeline-item {
        width: 70%;
        margin: 0 !important;
    }

    .custom-scrollbar {
        right: 5%
    }
}

@media (max-width: 480px) {
    .item-content h2 {
        left: -24% !important;
    }
}